package com.sun.rowset.internal;

import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

public class XmlErrorHandler extends DefaultHandler
{
    public int errorCounter;
    
    public XmlErrorHandler() {
        this.errorCounter = 0;
    }
    
    @Override
    public void error(SAXParseException ex) throws SAXException {
        ++this.errorCounter;
    }
    
    @Override
    public void fatalError(SAXParseException ex) throws SAXException {
        ++this.errorCounter;
    }
    
    @Override
    public void warning(SAXParseException ex) throws SAXException {
    }
}
